<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Forms Task 1</title>
  <script>
    /*
      Задание:
        Сделать валидацию формы:
        1. Логин / Пароль не может быть пустым
        2. Пароли должны совпадть
        3. Пока не стоит что юзер согласен с лиц. соглашением - кнопка отправки не активна

        + бонус - то поле, которое не прошло валидацию подсвечивать красным.
                - которое прошло - подсвечивать зеленым.
    */
  </script>
</head>
<body>
  <form id="MyValidateForm">
    <input type="text" name='login' placeholder="Ваш логин" />
    <input type="password" name='pas1' placeholder="Ваш пароль" />
    <input type="password" name='pas2' placeholder="Повторите пароль" />
    <label for="agree">
      <span>Вы согласны с лицензионым соглашением.</span>
      <input type="checkbox" id="agree" />
    </label>
    <input type="submit" id="submit" value="Отправить" disabled/>
  </form> 

  <style>
    #MyValidateForm{
      width: 350px;
      display: flex;
      flex-direction: column;
    }

    #MyValidateForm input{
      margin-bottom: 10px;
      box-sizing: border-box;
      padding: 10px 20px;
    }
    .error{
        border: 1px solid red;
    }
    .OK{
        border: 2px solid #07f607;
    }
  </style>
  <script>
    const MyValidateForm = document.getElementById('MyValidateForm');
    const submit = document.getElementById('submit');
    const login = MyValidateForm.elements[0];
    const pass1 = MyValidateForm.elements[1];
    const pass2 = MyValidateForm.elements[2];
    const agree = MyValidateForm.elements[3];
    login.oninput = function() {
      if(login.value.length > 3) {
        login.classList.add('OK');
      } else {
        login.classList.remove('OK');
      }
    };
    pass1.oninput = function() {
      if(pass1.value) {
        pass1.classList.add('OK');
      } else {
        pass1.classList.remove('OK');
      }
    };
    pass2.oninput = function() {
      if(pass2.value) {
        pass2.classList.add('OK');
      } else {
        pass2.classList.remove('OK');
      }
    };
    agree.addEventListener('click', function(e) {
      if(e.target.checked) {
        submit.disabled = false;
      } else {
        submit.disabled = true;
      }
    });
    submit.addEventListener('click', function(evt) {
      evt.preventDefault();
      const formElems = Array.from(MyValidateForm.elements);
      if((pass1.value !== pass2.value) || pass1.value === '' || pass2.value === '') {
        alert('passwords are different or empty! - validation failed!');
        return false;
      }
      if(login.value === '') {
        alert('Login can not be empty - validation failed!');
        return false;
      }
      formElems.forEach(function(item) {
        if(item.type !== 'submit' && item.value !== 'on') {
          console.log('name:', item.name, 'value:', item.value);
        }
      });
      console.log('validation OK!');
    });  
  </script>
</body>
</html>
